
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops delete instance

Delete an instance

### Synopsis

Delete an instance. By default, it will detach the instance from the instance group, drain it, then terminate it.

```
kops delete instance [flags]
```

### Examples

```
  # Delete an instance from the currently active cluster.
  kops delete instance i-0a5ed581b862d3425 --yes
  
  # Delete an instance from the currently active cluster using node name.
  kops delete instance ip-xx.xx.xx.xx.ec2.internal --yes
  
  # Delete an instance from the currently active cluster without
  validation or draining.
  kops delete instance --cloudonly i-0a5ed581b862d3425 --yes
```

### Options

```
      --cloudonly                     Perform deletion update without confirming progress with k8s
      --fail-on-drain-error           The deletion will fail if draining a node fails. (default true)
      --fail-on-validate-error        The deletion will fail if the cluster fails to validate. (default true)
  -h, --help                          help for instance
      --post-drain-delay duration     Time to wait after draining each node (default 5s)
      --surge                         Surge by detaching the node from the ASG before deletion (default true)
      --validate-count int32          Amount of times that a cluster needs to be validated after single node update (default 2)
      --validation-timeout duration   Maximum time to wait for a cluster to validate (default 15m0s)
  -y, --yes                           Specify --yes to immediately delete the instance
```

### Options inherited from parent commands

```
      --add_dir_header                   If true, adds the file directory to the header of the log messages
      --alsologtostderr                  log to standard error as well as files
      --config string                    yaml config file (default is $HOME/.kops.yaml)
      --log_backtrace_at traceLocation   when logging hits line file:N, emit a stack trace (default :0)
      --log_dir string                   If non-empty, write log files in this directory
      --log_file string                  If non-empty, use this log file
      --log_file_max_size uint           Defines the maximum size a log file can grow to. Unit is megabytes. If the value is 0, the maximum file size is unlimited. (default 1800)
      --logtostderr                      log to standard error instead of files (default true)
      --name string                      Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --one_output                       If true, only write logs to their native severity level (vs also writing to each lower severity level
      --skip_headers                     If true, avoid header prefixes in the log messages
      --skip_log_headers                 If true, avoid headers when opening log files
      --state string                     Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
      --stderrthreshold severity         logs at or above this threshold go to stderr (default 2)
  -v, --v Level                          number for the log level verbosity
      --vmodule moduleSpec               comma-separated list of pattern=N settings for file-filtered logging
```

### SEE ALSO

* [kops delete](kops_delete.md)	 - Delete clusters,instancegroups, instances, or secrets.

